This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297700 - [abrt] arp-scan: get_hardware_address(): arp-scan killed by SIGSEGV
[abrt] arp-scan: get_hardware_address(): arp-scan killed by SIGSEGV
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: arp-scan (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:028b745a2ea8d9338902542aadc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 04:28 EST by nestaisabeast
Modified: 2016-02-12 08:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 19:43:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.65 KB, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: core_backtrace (755 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: dso_list (315 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: environ (2.94 KB, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: maps (1.96 KB, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: mountinfo (3.11 KB, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: open_fds (140 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details
File: var_log_messages (310 bytes, text/plain)
2016-01-12 04:29 EST, nestaisabeast
no flags Details

  None (edit)
Description nestaisabeast 2016-01-12 04:28:51 EST
Description of problem:
tried to run arp-scan using fedora cinnamon, gave the error "Segmentation fault (core dumped)" and crashed.

Version-Release number of selected component:
arp-scan-1.8.4-6.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        arp-scan
crash_function: get_hardware_address
executable:     /usr/sbin/arp-scan
global_pid:     25956
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 get_hardware_address at link-packet-socket.c:127

Potential duplicate: bug 1050046
Comment 1 nestaisabeast 2016-01-12 04:29:04 EST
Created attachment 1113887 [details]
File: backtrace
Comment 2 nestaisabeast 2016-01-12 04:29:05 EST
Created attachment 1113888 [details]
File: cgroup
Comment 3 nestaisabeast 2016-01-12 04:29:07 EST
Created attachment 1113889 [details]
File: core_backtrace
Comment 4 nestaisabeast 2016-01-12 04:29:09 EST
Created attachment 1113890 [details]
File: dso_list
Comment 5 nestaisabeast 2016-01-12 04:29:11 EST
Created attachment 1113891 [details]
File: environ
Comment 6 nestaisabeast 2016-01-12 04:29:13 EST
Created attachment 1113892 [details]
File: exploitable
Comment 7 nestaisabeast 2016-01-12 04:29:16 EST
Created attachment 1113893 [details]
File: limits
Comment 8 nestaisabeast 2016-01-12 04:29:18 EST
Created attachment 1113894 [details]
File: maps
Comment 9 nestaisabeast 2016-01-12 04:29:21 EST
Created attachment 1113895 [details]
File: mountinfo
Comment 10 nestaisabeast 2016-01-12 04:29:23 EST
Created attachment 1113896 [details]
File: namespaces
Comment 11 nestaisabeast 2016-01-12 04:29:24 EST
Created attachment 1113897 [details]
File: open_fds
Comment 12 nestaisabeast 2016-01-12 04:29:26 EST
Created attachment 1113898 [details]
File: proc_pid_status
Comment 13 nestaisabeast 2016-01-12 04:29:28 EST
Created attachment 1113899 [details]
File: var_log_messages
Comment 14 nestaisabeast 2016-01-12 19:43:22 EST
re-installed the package, I can no longer reproduce it.

Note You need to log in before you can comment on or make changes to this bug.